package com.boman.domain.dto;


import lombok.Data;

import java.util.List;

/**
 * @author shiqian
 * @date 2021年07月06日 13:32
 **/
public class PrimaryTableDto {

    /** 主表表名 **/
    private String primaryTableName;

    /** 主表数据id **/
    private Long itemId;

    /** 子表的集合 **/
    private List<DeputyTableDto> deputyTableList;

    public static class DeputyTableDto {

       /** 副表表名 **/
       private String deputyTableName;
       /** 副表与子表关联的字段名称 **/
       private String fkName;
       /** 子表的集合 **/
       private List<DeputyTableDto> deputyTableList;

        public String getDeputyTableName() {
            return deputyTableName;
        }

        public void setDeputyTableName(String deputyTableName) {
            this.deputyTableName = deputyTableName;
        }

        public String getFkName() {
            return fkName;
        }

        public void setFkName(String fkName) {
            this.fkName = fkName;
        }

        public List<DeputyTableDto> getDeputyTableList() {
            return deputyTableList;
        }

        public void setDeputyTableList(List<DeputyTableDto> deputyTableList) {
            this.deputyTableList = deputyTableList;
        }
    }

    public String getPrimaryTableName() {
        return primaryTableName;
    }

    public void setPrimaryTableName(String primaryTableName) {
        this.primaryTableName = primaryTableName;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public List<DeputyTableDto> getDeputyTableList() {
        return deputyTableList;
    }

    public void setDeputyTableList(List<DeputyTableDto> deputyTableList) {
        this.deputyTableList = deputyTableList;
    }
}
